

// "use client";
// import React, { useState, useEffect } from 'react'

import './global.css';
import "./assets/scss/globals.scss";
import "./assets/scss/theme.scss";
import { Inter } from "next/font/google";
import { siteConfig } from "@/config/site";
import Providers from "@/provider/providers";
import "simplebar-react/dist/simplebar.min.css";
import TanstackProvider from "@/provider/providers.client";
import AuthProvider from "@/provider/auth.provider";
import "flatpickr/dist/themes/light.css";
import { NextIntlClientProvider } from 'next-intl';
import { LanguageProvider, useLanguage } from '../../../context/LanguageContext'
import { getApiData } from '@/Helper/common';
import { getMessages, getLocale } from 'next-intl/server';

const inter = Inter({ subsets: ["latin"] });

export default async function RootLayout({ children }) {


  const locale = await getLocale();
  const messages = await getMessages();




  return (
    <html lang="en">


      {/* <AuthProvider> */}
      <TanstackProvider>
        <LanguageProvider>
          <RootContent>{children}</RootContent>
        </LanguageProvider>
      </TanstackProvider>
      {/* </AuthProvider> */}
    </html>
  );
}

async function RootContent({ children }) {
  // const { locale, messages } = useLanguage();

  const locale = await getLocale();
  const messages = await getMessages();

  return (
    <NextIntlClientProvider locale={locale} messages={messages}>
      <Providers>{children}</Providers>
    </NextIntlClientProvider>
  );
}
